> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Set Channel Announcement > Set an announcement for the channel. Permission required: `edit-room` ### Changelog | Version | Description | | ------- | ----------- | |0.63.0 | Added | ## OpenAPI ````json POST /api/v1/channels.setAnnouncement { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.setAnnouncement": { "post": { "tags": [ "Channels" ], "summary": "Set Channel Announcement", "description": "Set an announcement for the channel. Permission required: `edit-room`\n### Changelog\n\n| Version | Description |\n| ------- | ----------- |\n|0.63.0 | Added |", "operationId": "post-api-v1-channels.setAnnouncement", "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "description": "The channel's id" }, "announcement": { "type": "string", "description": "The announcement to set for the channel." } }, "required": [ "roomId", "announcement" ] }, "examples": { "Success": { "value": { "roomId": "WDuJLFkjwk6L7LdFC", "announcement": "Test out everything" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "announcement": { "type": "string" }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "announcement": "Test out everything", "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````